<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: createPhysToEcuConv.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('create_phys_to_ecu_conv_8hpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">createPhysToEcuConv.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="create_phys_to_ecu_conv_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// basic file operations</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &lt;fstream&gt;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &lt;stdio.h&gt;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &lt;cstdlib&gt;</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;cstring&gt;</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &lt;sstream&gt;</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &lt;iomanip&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;chrono&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;unistd.h&gt;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;algorithm&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;set&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &lt;unordered_map&gt;</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;unistd.h&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;sys/types.h&gt;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;dirent.h&gt;</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#ifndef bsoncxxType</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">    #define bsoncxxType</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/basic/array.hpp&gt;</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/basic/document.hpp&gt;</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/basic/kvp.hpp&gt;</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/stream/array.hpp&gt;</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/stream/document.hpp&gt;</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/stream/helpers.hpp&gt;</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/types.hpp&gt;</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/stdx/string_view.hpp&gt;</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/json.hpp&gt;</span> </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/types.hpp&gt;</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/basic/document.hpp&gt;</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/json.hpp&gt;</span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160; </div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/document/value.hpp&gt;</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/stdx/string_view.hpp&gt;</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">#endif </span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160; </div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#ifndef defineRecHierarachSearch</span></div>
<div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="create_phys_to_ecu_conv_8hpp.html#ad1005bb465930080003dbdcf2ce14266">   47</a></span>&#160;<span class="preprocessor">    #define defineRecHierarachSearch</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="preprocessor">        #include &lt;<a class="code" href="recursive_hierarch_search_8hpp.html">recursiveHierarchSearch.hpp</a>&gt;</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="preprocessor">#ifndef variableType</span></div>
<div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="create_phys_to_ecu_conv_8hpp.html#a8c7e8826e5593dbba7af25de6d2597f2">   52</a></span>&#160;<span class="preprocessor">    #define variableType</span></div>
<div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="struct_variable__type.html">   53</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;{   </div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">   56</a></span>&#160;    std::string <a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a>;</div>
<div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="struct_variable__type.html#a8be7260e81db396e7299c0af539f6717">   57</a></span>&#160;    std::string <a class="code" href="struct_variable__type.html#a8be7260e81db396e7299c0af539f6717">ConstVolatile</a>;    </div>
<div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="struct_variable__type.html#ae9939a09770ca983cc7d05934c00db57">   58</a></span>&#160;    std::string <a class="code" href="struct_variable__type.html#ae9939a09770ca983cc7d05934c00db57">Type</a>;    </div>
<div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="struct_variable__type.html#a7d37778a750acca8472a0044b7e08c92">   59</a></span>&#160;    std::string <a class="code" href="struct_variable__type.html#a7d37778a750acca8472a0044b7e08c92">BuiltInType</a>;</div>
<div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="struct_variable__type.html#afc36cc87be3bd26dfedc3d640036af42">   60</a></span>&#160;    std::string <a class="code" href="struct_variable__type.html#afc36cc87be3bd26dfedc3d640036af42">Arraysize</a>;</div>
<div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="struct_variable__type.html#a37bd621d091ce55b5144aa09cd35cb8e">   61</a></span>&#160;    std::vector&lt;std::string&gt; <a class="code" href="struct_variable__type.html#a37bd621d091ce55b5144aa09cd35cb8e">CompuRatFuncNumerator</a>; </div>
<div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="struct_variable__type.html#a1d1fe08d1400e27b3be0477fdc1c2483">   62</a></span>&#160;    std::vector&lt;std::string&gt; <a class="code" href="struct_variable__type.html#a1d1fe08d1400e27b3be0477fdc1c2483">CompuRatFuncDenominator</a>;</div>
<div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="struct_variable__type.html#a96f43c027abbb73f0072b02b863d7671">   63</a></span>&#160;    std::string <a class="code" href="struct_variable__type.html#a96f43c027abbb73f0072b02b863d7671">SWUnit</a>;</div>
<div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="struct_variable__type.html#acf61adf3d8168e11f8cbe1c37247cc65">   64</a></span>&#160;    std::string <a class="code" href="struct_variable__type.html#acf61adf3d8168e11f8cbe1c37247cc65">isPointer</a>;      </div>
<div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="struct_variable__type.html#a76acba30d36d5229fed7965e37ae6626">   65</a></span>&#160;    std::string <a class="code" href="struct_variable__type.html#a76acba30d36d5229fed7965e37ae6626">PointerIsConst</a>;     </div>
<div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="struct_variable__type.html#a60255db01d0877046da3167ced303ecb">   66</a></span>&#160;    std::string <a class="code" href="struct_variable__type.html#a60255db01d0877046da3167ced303ecb">PointeeIsConst</a>; </div>
<div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="struct_variable__type.html#a58a52481fa764d59ceaa1939453a8102">   67</a></span>&#160;    std::string <a class="code" href="struct_variable__type.html#a58a52481fa764d59ceaa1939453a8102">isLHS</a>;         </div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160; </div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;} <a class="code" href="struct_variable__type.html">Variable_type</a>;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="preprocessor">#endif </span></div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160; </div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160; </div>
<div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="create_phys_to_ecu_conv_8hpp.html#a1428567155675d130b5f04f9bc2cf0a0">   73</a></span>&#160;std::vector&lt;std::string&gt; <a class="code" href="create_phys_to_ecu_conv_8hpp.html#a1428567155675d130b5f04f9bc2cf0a0">createPhysToEcuConv</a>(<a class="code" href="struct_variable__type.html">Variable_type</a> variable)</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;{ </div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    std::string physVal = <span class="stringliteral">&quot;physVal&quot;</span>;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    std::string functionStr = <span class="stringliteral">&quot;\t\n void PhysTo_&quot;</span> + variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a> + <span class="stringliteral">&quot;(&quot;</span> +  variable.<a class="code" href="struct_variable__type.html#ae9939a09770ca983cc7d05934c00db57">Type</a> + <span class="stringliteral">&quot; *&quot;</span> + variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a> + <span class="stringliteral">&quot;,double &quot;</span>+physVal+<span class="stringliteral">&quot;){\n&quot;</span>;</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    std::string equationStr = <span class="stringliteral">&quot;\t double result_num = &quot;</span>;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="keywordtype">unsigned</span> cntr=0;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <span class="keywordtype">bool</span> hasPredecessor = <span class="keyword">false</span>;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    std::vector&lt;std::string&gt; result_vec;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <span class="keywordflow">if</span>(variable.<a class="code" href="struct_variable__type.html#a58a52481fa764d59ceaa1939453a8102">isLHS</a>.compare(<span class="stringliteral">&quot;false&quot;</span>)==0)</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    {</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        <span class="keywordflow">for</span>(std::vector&lt;std::string&gt;::iterator itBg = variable.<a class="code" href="struct_variable__type.html#a37bd621d091ce55b5144aa09cd35cb8e">CompuRatFuncNumerator</a>.begin();itBg != variable.<a class="code" href="struct_variable__type.html#a37bd621d091ce55b5144aa09cd35cb8e">CompuRatFuncNumerator</a>.end();itBg++)</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        {</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;            std::string cur = *itBg;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;            <span class="keywordflow">if</span>(cntr==0)</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;            {</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;                <span class="keywordflow">if</span>(hasPredecessor)  equationStr+=<span class="stringliteral">&quot; + &quot;</span>;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;                functionStr+=<span class="stringliteral">&quot;\t double numerator_offset = &quot;</span>+ cur + <span class="stringliteral">&quot;; \n&quot;</span>;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;                equationStr += <span class="stringliteral">&quot; numerator_offset&quot;</span>;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;                hasPredecessor = <span class="keyword">true</span>;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;            }</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;            <span class="keywordflow">else</span></div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;            {</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;                <span class="keywordflow">if</span>(hasPredecessor)  equationStr+=<span class="stringliteral">&quot; + &quot;</span>;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;                functionStr+=<span class="stringliteral">&quot;\t double numerator_fac_pow&quot;</span>+  std::to_string(cntr) + <span class="stringliteral">&quot; = &quot;</span>+ cur + <span class="stringliteral">&quot;; \n&quot;</span>;                            </div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;                hasPredecessor = <span class="keyword">true</span>;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;                equationStr+= <span class="stringliteral">&quot; numerator_fac_pow&quot;</span>+  std::to_string(cntr) + <span class="stringliteral">&quot; * (&quot;</span> + physVal + <span class="stringliteral">&quot;)&quot;</span>;</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;                physVal += <span class="stringliteral">&quot;*physVal&quot;</span>;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;            }                        </div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;            cntr++;</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        }</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        equationStr += <span class="stringliteral">&quot;;\n&quot;</span>;</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        functionStr += equationStr;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160; </div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        equationStr = <span class="stringliteral">&quot;\t double result_denom = &quot;</span>;</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        cntr=0;</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;        hasPredecessor = <span class="keyword">false</span>;</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;        <span class="keywordflow">for</span>(std::vector&lt;std::string&gt;::iterator itBg = variable.<a class="code" href="struct_variable__type.html#a1d1fe08d1400e27b3be0477fdc1c2483">CompuRatFuncDenominator</a>.begin();itBg != variable.<a class="code" href="struct_variable__type.html#a1d1fe08d1400e27b3be0477fdc1c2483">CompuRatFuncDenominator</a>.end();itBg++)</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;        {</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;            std::string cur = *itBg;</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;            <span class="keywordflow">if</span>(cntr==0)</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;            {</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;                <span class="keywordflow">if</span>(hasPredecessor)  equationStr+=<span class="stringliteral">&quot; + &quot;</span>;</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;                functionStr+=<span class="stringliteral">&quot;\t double denominator_offset = &quot;</span>+ cur + <span class="stringliteral">&quot;; \n&quot;</span>;</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;                equationStr += <span class="stringliteral">&quot; denominator_offset&quot;</span>;</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;                hasPredecessor = <span class="keyword">true</span>;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;            }</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;            <span class="keywordflow">else</span></div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;            {</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;                <span class="keywordflow">if</span>(hasPredecessor)  equationStr+=<span class="stringliteral">&quot; + &quot;</span>;</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;                functionStr+=<span class="stringliteral">&quot;\t double denominator_fac_pow&quot;</span>+  std::to_string(cntr) + <span class="stringliteral">&quot; = &quot;</span>+ cur + <span class="stringliteral">&quot;; \n&quot;</span>;                            </div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;                hasPredecessor = <span class="keyword">true</span>;</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;                equationStr+= <span class="stringliteral">&quot; denominator_fac_pow&quot;</span>+  std::to_string(cntr) + <span class="stringliteral">&quot; * (&quot;</span> + physVal + <span class="stringliteral">&quot;)&quot;</span>;</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;                physVal += <span class="stringliteral">&quot;*physVal&quot;</span>;</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;            }                        </div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;            cntr++;</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;        }</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;        equationStr += <span class="stringliteral">&quot;;\n&quot;</span>;</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;        functionStr += equationStr;</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;        equationStr = <span class="stringliteral">&quot;\t*&quot;</span> + variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a> +<span class="stringliteral">&quot;= (&quot;</span>+variable.<a class="code" href="struct_variable__type.html#ae9939a09770ca983cc7d05934c00db57">Type</a>+<span class="stringliteral">&quot;) result_num/result_denom;&quot;</span>;</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;        functionStr += equationStr + <span class="stringliteral">&quot;\n }&quot;</span>;</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160; </div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;        std::string callStr;</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;        <span class="keywordflow">if</span>(!variable.<a class="code" href="struct_variable__type.html#afc36cc87be3bd26dfedc3d640036af42">Arraysize</a>.empty())</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;        {        </div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;         </div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;         </div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;                functionStr += <span class="stringliteral">&quot;\n void getECUValue_&quot;</span>+variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a>+<span class="stringliteral">&quot;(&quot;</span> +  variable.<a class="code" href="struct_variable__type.html#ae9939a09770ca983cc7d05934c00db57">Type</a> + <span class="stringliteral">&quot; *&quot;</span> + variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a>+<span class="stringliteral">&quot;,unsigned pos)\n{&quot;</span>;</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;                functionStr += <span class="stringliteral">&quot;\n\tfor(unsigned i=0;i&lt;&quot;</span> + variable.<a class="code" href="struct_variable__type.html#afc36cc87be3bd26dfedc3d640036af42">Arraysize</a> + <span class="stringliteral">&quot;;i++)\n\t{&quot;</span>;                      </div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;                functionStr +=  <span class="stringliteral">&quot;\n\t\t double val = &quot;</span> + variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a> +  <span class="stringliteral">&quot;_physInVals[i*100+pos]; \n&quot;</span>;</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;                functionStr += <span class="stringliteral">&quot;\n\t\t PhysTo_&quot;</span> + variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a> + <span class="stringliteral">&quot;(&quot;</span>+ variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a> + <span class="stringliteral">&quot;,val);\n&quot;</span>;    </div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;                functionStr +=  <span class="stringliteral">&quot;\t}\n&quot;</span>;</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;                functionStr +=  <span class="stringliteral">&quot;}&quot;</span>;</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;                callStr = <span class="stringliteral">&quot;getECUValue_&quot;</span>+variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a>+<span class="stringliteral">&quot;(&quot;</span> + variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a>+<span class="stringliteral">&quot;,frameCntr);&quot;</span>; </div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;        }</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;        <span class="keywordflow">else</span></div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;        {         </div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;                functionStr += <span class="stringliteral">&quot;\nvoid getECUValue_&quot;</span>+variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a>+<span class="stringliteral">&quot;(&quot;</span> +  variable.<a class="code" href="struct_variable__type.html#ae9939a09770ca983cc7d05934c00db57">Type</a> + <span class="stringliteral">&quot; *&quot;</span> + variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a>+<span class="stringliteral">&quot;,unsigned pos)\n{&quot;</span>;</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;                functionStr +=  <span class="stringliteral">&quot;\n\t double val = &quot;</span> + variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a> +  <span class="stringliteral">&quot;_physInVals[pos]; \n&quot;</span>;</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;                functionStr += <span class="stringliteral">&quot;\t PhysTo_&quot;</span> + variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a> + <span class="stringliteral">&quot;(&quot;</span>+ variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a> + <span class="stringliteral">&quot;,val);\n&quot;</span>;    </div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;                functionStr +=  <span class="stringliteral">&quot;}&quot;</span>;         </div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;                callStr = <span class="stringliteral">&quot;getECUValue_&quot;</span>+variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a>+<span class="stringliteral">&quot;(&amp;&quot;</span> + variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a>+<span class="stringliteral">&quot;,frameCntr);&quot;</span>;</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;        }</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;        </div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160; </div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;        result_vec.push_back(functionStr);</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;        result_vec.push_back(callStr);</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;        result_vec.push_back(<span class="stringliteral">&quot;isStim&quot;</span>);</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;        <span class="keywordflow">return</span> result_vec;</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;    }</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    <span class="keywordflow">if</span>(variable.<a class="code" href="struct_variable__type.html#a58a52481fa764d59ceaa1939453a8102">isLHS</a>.compare(<span class="stringliteral">&quot;true&quot;</span>)==0)</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;    {</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;        std::string callStr;</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;        <span class="comment">// void PhysTo_ASMod_tIntMnfUs(double *physVal, sint16 ASMod_tIntMnfUs)</span></div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;        std::string functionStr = <span class="stringliteral">&quot;void &quot;</span>+ variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a> + <span class="stringliteral">&quot;_ToPhys&quot;</span> + <span class="stringliteral">&quot;(double *physVal,&quot;</span>+variable.<a class="code" href="struct_variable__type.html#ae9939a09770ca983cc7d05934c00db57">Type</a> +<span class="stringliteral">&quot; &quot;</span>+variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a>+<span class="stringliteral">&quot;) \n{&quot;</span>;</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;        <span class="keywordflow">if</span>(variable.<a class="code" href="struct_variable__type.html#a1d1fe08d1400e27b3be0477fdc1c2483">CompuRatFuncDenominator</a>.size()==2  &amp;&amp; variable.<a class="code" href="struct_variable__type.html#a37bd621d091ce55b5144aa09cd35cb8e">CompuRatFuncNumerator</a>.size()==2)</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;        {</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;            std::string denom_offset = variable.<a class="code" href="struct_variable__type.html#a1d1fe08d1400e27b3be0477fdc1c2483">CompuRatFuncDenominator</a>[0];</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;            std::string denom_slope = variable.<a class="code" href="struct_variable__type.html#a1d1fe08d1400e27b3be0477fdc1c2483">CompuRatFuncDenominator</a>[1];</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;        </div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;            std::string num_offset = variable.<a class="code" href="struct_variable__type.html#a37bd621d091ce55b5144aa09cd35cb8e">CompuRatFuncNumerator</a>[0];</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;            std::string num_slope = variable.<a class="code" href="struct_variable__type.html#a37bd621d091ce55b5144aa09cd35cb8e">CompuRatFuncNumerator</a>[1];</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160; </div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;            functionStr += <span class="stringliteral">&quot;\n\t*physVal =((double)&quot;</span>+num_offset + <span class="stringliteral">&quot;-(double)&quot;</span> + variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a> + <span class="stringliteral">&quot;*(double)&quot;</span> + denom_offset + <span class="stringliteral">&quot;)&quot;</span> + <span class="stringliteral">&quot;/&quot;</span>+ <span class="stringliteral">&quot;((double)&quot;</span> + variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a> + <span class="stringliteral">&quot;*&quot;</span> + denom_slope + <span class="stringliteral">&quot;-(double)&quot;</span> + num_slope+ <span class="stringliteral">&quot;);\n}\n&quot;</span>;</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;        }</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160; </div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;        <span class="keywordflow">if</span>(!variable.<a class="code" href="struct_variable__type.html#afc36cc87be3bd26dfedc3d640036af42">Arraysize</a>.empty())</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;        {                          </div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;            functionStr += <span class="stringliteral">&quot;\n void setPhysValue_&quot;</span>+variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a>+<span class="stringliteral">&quot;_physOutVals(double *&quot;</span> + variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a>+<span class="stringliteral">&quot;_physOutVals,unsigned pos)\n\t{&quot;</span>;</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;            functionStr += <span class="stringliteral">&quot;\n\tfor(unsigned i=0;i&lt;&quot;</span> + variable.<a class="code" href="struct_variable__type.html#afc36cc87be3bd26dfedc3d640036af42">Arraysize</a> + <span class="stringliteral">&quot;;i++)\n\t{&quot;</span>;                          </div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;            functionStr +=  <span class="stringliteral">&quot;\n\t\t double *val = &amp;&quot;</span> + variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a> +  <span class="stringliteral">&quot;_physOutVals[i*100+pos]; \n&quot;</span>;</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;            functionStr += <span class="stringliteral">&quot;\n\t\t &quot;</span> + variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a> + <span class="stringliteral">&quot;_ToPhys&quot;</span> +  <span class="stringliteral">&quot;(val,&quot;</span>+variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a>+<span class="stringliteral">&quot;);\n&quot;</span>;                            </div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;            functionStr +=  <span class="stringliteral">&quot;\t}&quot;</span>;</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;            functionStr +=  <span class="stringliteral">&quot;}&quot;</span>;</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;            callStr = <span class="stringliteral">&quot;setPhysValue_&quot;</span>+variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a>+<span class="stringliteral">&quot;_physOutVals(&quot;</span>+variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a>+<span class="stringliteral">&quot;_physOutVals,frameCntr);&quot;</span>;</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;         </div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;        }</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;        <span class="keywordflow">else</span></div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;        {         </div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;            functionStr += <span class="stringliteral">&quot;\nvoid setPhysValue_&quot;</span>+variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a>+<span class="stringliteral">&quot;_physOutVals(double *&quot;</span> + variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a>+<span class="stringliteral">&quot;_physOutVals,unsigned pos)\n{&quot;</span>;            </div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;            functionStr +=  <span class="stringliteral">&quot;\n\t double *val = &amp;&quot;</span> + variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a> +  <span class="stringliteral">&quot;_physOutVals[pos]; \n&quot;</span>;</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;            functionStr += <span class="stringliteral">&quot;\n\t &quot;</span> + variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a> + <span class="stringliteral">&quot;_ToPhys&quot;</span> +  <span class="stringliteral">&quot;(val,&quot;</span>+variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a>+<span class="stringliteral">&quot;);\n&quot;</span>;                </div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;            functionStr +=  <span class="stringliteral">&quot;}&quot;</span>;         </div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;            callStr = <span class="stringliteral">&quot;setPhysValue_&quot;</span>+variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a>+<span class="stringliteral">&quot;_physOutVals(&quot;</span>+variable.<a class="code" href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">name</a>+<span class="stringliteral">&quot;_physOutVals,frameCntr);&quot;</span>;</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;        }        </div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;        </div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;        result_vec.push_back(functionStr);</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;        result_vec.push_back(callStr);</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;        result_vec.push_back(<span class="stringliteral">&quot;isDaq&quot;</span>);</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;        <span class="keywordflow">return</span> result_vec;</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;    }</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160; </div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;    <span class="keywordflow">return</span> result_vec;</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160; </div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160; </div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="astruct_variable__type_html_a76acba30d36d5229fed7965e37ae6626"><div class="ttname"><a href="struct_variable__type.html#a76acba30d36d5229fed7965e37ae6626">Variable_type::PointerIsConst</a></div><div class="ttdeci">std::string PointerIsConst</div><div class="ttdef"><b>Definition:</b> createPhysToEcuConv.hpp:65</div></div>
<div class="ttc" id="astruct_variable__type_html_a8be7260e81db396e7299c0af539f6717"><div class="ttname"><a href="struct_variable__type.html#a8be7260e81db396e7299c0af539f6717">Variable_type::ConstVolatile</a></div><div class="ttdeci">std::string ConstVolatile</div><div class="ttdef"><b>Definition:</b> createPhysToEcuConv.hpp:57</div></div>
<div class="ttc" id="astruct_variable__type_html_a58a52481fa764d59ceaa1939453a8102"><div class="ttname"><a href="struct_variable__type.html#a58a52481fa764d59ceaa1939453a8102">Variable_type::isLHS</a></div><div class="ttdeci">std::string isLHS</div><div class="ttdef"><b>Definition:</b> createPhysToEcuConv.hpp:67</div></div>
<div class="ttc" id="astruct_variable__type_html_afc36cc87be3bd26dfedc3d640036af42"><div class="ttname"><a href="struct_variable__type.html#afc36cc87be3bd26dfedc3d640036af42">Variable_type::Arraysize</a></div><div class="ttdeci">std::string Arraysize</div><div class="ttdef"><b>Definition:</b> createPhysToEcuConv.hpp:60</div></div>
<div class="ttc" id="astruct_variable__type_html_acf61adf3d8168e11f8cbe1c37247cc65"><div class="ttname"><a href="struct_variable__type.html#acf61adf3d8168e11f8cbe1c37247cc65">Variable_type::isPointer</a></div><div class="ttdeci">std::string isPointer</div><div class="ttdef"><b>Definition:</b> createPhysToEcuConv.hpp:64</div></div>
<div class="ttc" id="astruct_variable__type_html_a7d37778a750acca8472a0044b7e08c92"><div class="ttname"><a href="struct_variable__type.html#a7d37778a750acca8472a0044b7e08c92">Variable_type::BuiltInType</a></div><div class="ttdeci">std::string BuiltInType</div><div class="ttdef"><b>Definition:</b> createPhysToEcuConv.hpp:59</div></div>
<div class="ttc" id="arecursive_hierarch_search_8hpp_html"><div class="ttname"><a href="recursive_hierarch_search_8hpp.html">recursiveHierarchSearch.hpp</a></div></div>
<div class="ttc" id="astruct_variable__type_html_a4db3c4fb283c01c3bcff6233edd26c41"><div class="ttname"><a href="struct_variable__type.html#a4db3c4fb283c01c3bcff6233edd26c41">Variable_type::name</a></div><div class="ttdeci">std::string name</div><div class="ttdef"><b>Definition:</b> createPhysToEcuConv.hpp:56</div></div>
<div class="ttc" id="astruct_variable__type_html"><div class="ttname"><a href="struct_variable__type.html">Variable_type</a></div><div class="ttdef"><b>Definition:</b> createPhysToEcuConv.hpp:53</div></div>
<div class="ttc" id="astruct_variable__type_html_a1d1fe08d1400e27b3be0477fdc1c2483"><div class="ttname"><a href="struct_variable__type.html#a1d1fe08d1400e27b3be0477fdc1c2483">Variable_type::CompuRatFuncDenominator</a></div><div class="ttdeci">std::vector&lt; std::string &gt; CompuRatFuncDenominator</div><div class="ttdef"><b>Definition:</b> createPhysToEcuConv.hpp:62</div></div>
<div class="ttc" id="astruct_variable__type_html_a96f43c027abbb73f0072b02b863d7671"><div class="ttname"><a href="struct_variable__type.html#a96f43c027abbb73f0072b02b863d7671">Variable_type::SWUnit</a></div><div class="ttdeci">std::string SWUnit</div><div class="ttdef"><b>Definition:</b> createPhysToEcuConv.hpp:63</div></div>
<div class="ttc" id="astruct_variable__type_html_a60255db01d0877046da3167ced303ecb"><div class="ttname"><a href="struct_variable__type.html#a60255db01d0877046da3167ced303ecb">Variable_type::PointeeIsConst</a></div><div class="ttdeci">std::string PointeeIsConst</div><div class="ttdef"><b>Definition:</b> createPhysToEcuConv.hpp:66</div></div>
<div class="ttc" id="astruct_variable__type_html_a37bd621d091ce55b5144aa09cd35cb8e"><div class="ttname"><a href="struct_variable__type.html#a37bd621d091ce55b5144aa09cd35cb8e">Variable_type::CompuRatFuncNumerator</a></div><div class="ttdeci">std::vector&lt; std::string &gt; CompuRatFuncNumerator</div><div class="ttdef"><b>Definition:</b> createPhysToEcuConv.hpp:61</div></div>
<div class="ttc" id="acreate_phys_to_ecu_conv_8hpp_html_a1428567155675d130b5f04f9bc2cf0a0"><div class="ttname"><a href="create_phys_to_ecu_conv_8hpp.html#a1428567155675d130b5f04f9bc2cf0a0">createPhysToEcuConv</a></div><div class="ttdeci">std::vector&lt; std::string &gt; createPhysToEcuConv(Variable_type variable)</div><div class="ttdef"><b>Definition:</b> createPhysToEcuConv.hpp:73</div></div>
<div class="ttc" id="astruct_variable__type_html_ae9939a09770ca983cc7d05934c00db57"><div class="ttname"><a href="struct_variable__type.html#ae9939a09770ca983cc7d05934c00db57">Variable_type::Type</a></div><div class="ttdeci">std::string Type</div><div class="ttdef"><b>Definition:</b> createPhysToEcuConv.hpp:58</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="create_phys_to_ecu_conv_8hpp.html">createPhysToEcuConv.hpp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
